Bug 1218241 - CVE-2015-3315 abrt: Various race-conditions and symlink issues found in abrt [fedora-all]
Summary: CVE-2015-3315 abrt: Various race-conditions and symlink issues found in abrt ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 22
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1218239
Blocks: CVE-2015-3315
TreeView+ depends on / blocked
 
Reported: 2015-05-04 11:48 UTC by Jakub Filak
Modified: 2016-12-01 00:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1218239
Environment:
Last Closed: 2016-07-19 20:21:51 UTC


Attachments (Terms of Use)

Description Jakub Filak 2015-05-04 11:48:07 UTC
+++ This bug was initially created as a clone of Bug #1218239 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Huzaifa S. Sidhpurwala on 2015-05-04 13:41:10 CEST ---


Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1211835,1218239

# Description of your update
notes=Security fix for CVE-2015-3315

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1211835,1218239

Comment 1 Jakub Filak 2015-05-04 12:02:19 UTC
The proper fix for this bug is not trivial and it needs to be fixed in two steps:
1. fix the race-conditions and symlink issues and make the abrt problem directories owned by root and the user's group with mode 750
2. replace the direct file system access to problem data with a dbus service (this is partially done, but it requires ~40man days to finish it).

Comment 2 Fedora Blocker Bugs Application 2015-05-04 12:36:35 UTC
Proposed as a Freeze Exception for 22-final by Fedora user jfilak using the blocker tracking app because:

 This is a security bug which allows an attacker to own any file on the file system, so the attacker is able to gain root shell in few minutes. We have almost ready patches fixing the exploit but the fix is rather a work around, because it requires moving the abrt problem directories from the system directory (/var/tmp/abrt) to user home directories which makes the reporting process less comfortable and has a pair of side effects (e.g. breaks the local duplicate detection). So, the first step described in the bug description should be done in a week. The proper fix (the second step) needs more time and can done in a regular update.

Comment 3 Dan Mossor [danofsatx] 2015-05-11 19:45:10 UTC
Discussed at the 2015-05-11 blocker review meeting[0]. Voted as AcceptedFreezeException.

AGREED: 1218241 - AcceptedFreezeException - this is a significant ('important') security issue, though not an issue on live images (as root is freely available when booted live). We will consider a fix during the freeze (adamw, 17:55:32)

[0]: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-11/

Comment 4 Adam Williamson 2015-06-10 22:42:36 UTC
Clearing F22 accepted / nominated freeze exception status as F22 has shipped, per https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Trackers . You may nominate as an Alpha, Beta or Final freeze exception for F23 if desired using the web application - https://qa.fedoraproject.org/blockerbugs/propose_bug (though it is not currently set up for F23) - or by marking the bug as blocking AlphaFreezeException, BetaFreezeException, or FinalFreezeException.

Comment 5 Fedora End Of Life 2016-07-19 20:21:51 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.